Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 26 lines (20 sloc) 0.903 kB
7bc6684 @qrush Look up the version from m
authored
1 require './lib/m'
2
2fd8797 @qrush proper gem setup, test it out too
authored
3 Gem::Specification.new do |gem|
4 gem.authors = ["Nick Quaranto"]
5 gem.email = ["nick@quaran.to"]
f223a8f @qrush use method_source instead of sourcify
authored
6 gem.homepage = "https://github.com/qrush/m"
2fd8797 @qrush proper gem setup, test it out too
authored
7
8 gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
9 gem.files = `git ls-files`.split("\n")
10 gem.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
11 gem.name = "m"
12 gem.require_paths = ["lib"]
7bc6684 @qrush Look up the version from m
authored
13 gem.version = M::VERSION
2fd8797 @qrush proper gem setup, test it out too
authored
14
f223a8f @qrush use method_source instead of sourcify
authored
15 gem.add_runtime_dependency "method_source", "~> 0.6.7"
54a6af8 @qrush allow rake usage up to 1.0
authored
16 gem.add_runtime_dependency "rake", ">= 0.9.2.2", "< 1.0.0"
9e7e5ed @qrush first pass at ActiveSupport::TestCase support, #test runs work
authored
17 gem.add_development_dependency "activesupport"
fe82cea @qrush setup rocco
authored
18 gem.add_development_dependency "rdiscount"
19 gem.add_development_dependency "rocco"
a8f8ca4 @qrush add MiniTest::Unit support
authored
20 gem.add_development_dependency "minitest"
bb81c49 @qrush fix gemspec, bring in bundler default gitignore
authored
21
401cbe9 @jeremy Support Ruby 2.0
jeremy authored
22 gem.required_ruby_version = ">= 1.9"
9528a26 @qrush cleanup, more readme, 1.9 only
authored
23
bb81c49 @qrush fix gemspec, bring in bundler default gitignore
authored
24 gem.summary = description = %q{Run test/unit tests by line number. Metal!}
2fd8797 @qrush proper gem setup, test it out too
authored
25 end
Something went wrong with that request. Please try again.